Page MenuHomePhabricator

Exception: No PHID found for slug #mwwmf_deploy!
Open, Needs TriagePublic

Description

2020-01-23 19:00:21,079 - forrestbot - INFO - Processing https://gerrit.wikimedia.org/r/557180
2020-01-23 19:00:21,079 - forrestbot - INFO - https://gerrit.wikimedia.org/r/557180: merged in branch wmf_deploy, Task 235049, needs slugs ['mwwmf_deploy']
2020-01-23 19:00:21,240 - forrestbot - INFO - Processing https://gerrit.wikimedia.org/r/566748
2020-01-23 19:00:21,240 - forrestbot - INFO - https://gerrit.wikimedia.org/r/566748: merged in branch wmf_deploy, Task 196090, needs slugs ['mwwmf_deploy']

These should just be ignored, right?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2020, 7:06 PM

Oh, yeah, CentralNotice's custom branch. Yes, just ignore them.

Discussed on IRC. Made two main changes:

  • Removed support for old naming styles; this fixes this bug
  • Removed mw- prefix for tags as this is no longer used.

Old test:

>>> get_slug("REL1_23")
'mw1.23'
>>> get_slug("1.23wmf6")
'mw1.23wmf6'
>>> get_slug("wmf/1.26wmf9")
'mw1.26wmf9'
>>> get_slug("wmf/1.27.0-wmf.1")
'mw1.27.0-wmf.1'
>>> get_slug("randombranch")
>>> get_slug("wmf/1.32.0-wmf.901")
>>> get_slug("wmf/1.32.0-wmf.999")
>>>

New test:

>>> get_slug("REL1_23")
'mw1.23'
>>> get_slug("wmf/1.27.0-wmf.1")
'1.27.0-wmf.1'

# deprecated branches, no longer supported
>>> get_slug("1.23wmf6")
>>> get_slug("wmf/1.26wmf9")

# unsupported branches
>>> get_slug("randombranch")
>>> get_slug("wmf/1.32.0-wmf.901")
>>> get_slug("wmf/1.32.0-wmf.999")
>>> get_slug("wmf_deploy")

Change 566844 had a related patch set uploaded (by Merlijn van Deen; owner: Merlijn van Deen):
[labs/tools/forrestbot@master] Remove support for outdated branch formats

https://gerrit.wikimedia.org/r/566844

Change 566844 merged by jenkins-bot:
[labs/tools/forrestbot@master] Remove support for outdated branch formats

https://gerrit.wikimedia.org/r/566844

valhallasw closed this task as Resolved.Jan 23 2020, 7:45 PM
valhallasw claimed this task.

Change 568015 had a related patch set uploaded (by Merlijn van Deen; owner: Merlijn van Deen):
[labs/tools/forrestbot@master] Remove support for outdated branch formats

https://gerrit.wikimedia.org/r/568015

valhallasw reopened this task as Open.Jan 28 2020, 7:27 PM

Forgot to reopen this...

Change 568015 merged by jenkins-bot:
[labs/tools/forrestbot@master] Remove support for outdated branch formats

https://gerrit.wikimedia.org/r/568015